# VEGAS JS CORE OpenSource library - Change Log

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/) and this project adheres to [Semantic Versioning](http://semver.org/).

## [Unreleased]

## [1.0.15] - 2019-04-13
- Add the new core.colors.hexToInt function

## [1.0.14] - 2019-04-13
- Add the new core.deepMergeAll function
- Add the new core.deepMerge function
- Add the new core.isPlainObject function
- Add the new core.isMergeableObject function
- Add the new core.isReactElement function (new package.json dev dependencies with react and @babel/preset-react, only for the unit test yet)
- Add the new core.canUseSymbol constant
- Add the new core.isNotNull function

## [1.0.13] - 2019-04-07
### Added
- Add the new core.colors.rgbIsDark function
- Add the new core.colors.hexIsDark function
- Add the new core.colors.rgbIsLight function
- Add the new core.colors.hexIsLight function
- Add the new core.colors.rgbToRgb function
- Add the new core.colors.hexToRgb function
- Add the new core.colors.rgbToHex function
- Add the new core.arrays.partition function
- Add the new core.objects.renameProperty function
- Add the new core.objects.removeProperty function
- Add the new core.arrays.distinct function 
- Add the new core.arrays.unique function 

## [1.0.12] - 2019-03-17
### Added
- Add the new core.isEmpty function 
- Add the new core.isNotEmpty function 

## [1.0.11] - 2019-02-26
### Changed
- Fix the new core.functors.memoize function

## [1.0.10] - 2019-02-26
### Added
- Add the new core.eq function
- Add the new core.isFunction function
- Add the new core.isSymbol function
- Add the new core.date.endOfMonth function
- Add the new core.date.endOfYear function
- Add the new core.date.startOfMonth function
- Add the new core.date.startOfYear function
- Add the new core.functors.memoize function
- Add the new core.functors.memoizeBounded function
- Add the new core.objects.get function
- Add the new core.objects.set function

## [1.0.9] - 2019-02-04
- Add the new core.objects.clean function

## [1.0.8] - 2019-01-08
### Added
- Add the new core.arrays.head function
- Add the new core.arrays.tail function
- Add the new core.functors.compose function

## [1.0.7] - 2018-12-16
- Add the new core.functors.debounce function
- Add the new core.functors.throttle function

## [1.0.5] - 2018-11-03
### Changed
- Change the /core folder name in /src
### Added
- Add the new core.isNil function
- Add the new core.numbers.clip function
- Add the new core.strings.empty function
- Add the new core.strings.notEmpty function
- Add the new core.strings.toString function

## [1.0.4] - 2018-10-28
### Added
- Change the name of the distribution files.

## [1.0.2] - 2018-10-24
### Added
- Add the core.version method

## [1.0.0] - 2018-03-07
### Added
- First version based on VEGAS JS 1.0.17

